<?php
/*
main.php 是模組後台的主要內容頁面（入口）。
但並不一定要叫做 main.php ，您愛命名為什麼都行，只要 menu.php 設定好就好。
*/

/*------------------ 檔頭（引入檔案） ------------------*/
//使用樣板檔
$xoopsOption['template_main'] = "exam_adm_main.html";
//引入XOOPS前台檔案檔頭（必要）
include 'header.php';
//引入共同檔案設定檔（必要）
include_once "../function.php"; //引入自訂的共同函數檔


/*------------------ 流程判斷（告訴程式現在要做什麼） -----------------*/

//$op 為XOOPS常用之動作變數，用來告知程式欲執行之動作
$op=isset($_REQUEST['op'])?$_REQUEST['op']:"";

$level1=isset($_REQUEST['level1'])?$_REQUEST['level1']:"";
$level2=isset($_REQUEST['level2'])?$_REQUEST['level2']:"";
$level3=isset($_REQUEST['level3'])?$_REQUEST['level3']:"";
$level4=isset($_REQUEST['level4'])?$_REQUEST['level4']:"";

//判斷目前動作該執行哪一個
switch($op){
  //當 $op 的值等於「動作1」時，欲執行的動作
  case "give_select":
  set_quest($level1,$level2,$level3,$level4);
  break;

  case "clear_record":
  clear_select_score();
  break;


  //預設動作
  default:
  list_select($op);
  break;
}

/*------------------ 所有函數（實際執行動作） ------------------*/

function clear_select_score(){
  global $xoopsDB;
  $table=$xoopsDB->prefix(hoao_exam_select);
  $table2=$xoopsDB->prefix(hoao_exam_score_board);

  $sql="delete from `{$table}`";
  $xoopsDB->queryF($sql) or die(mysql_error());
  $sql="delete from `{$table2}`";
  $xoopsDB->queryF($sql) or die(mysql_error());
  $sql="ALTER TABLE `{$table}` AUTO_INCREMENT =1";
  $xoopsDB->queryF($sql) or die(mysql_error());
  $sql="ALTER TABLE `{$table2}` AUTO_INCREMENT =1";
  $xoopsDB->queryF($sql) or die(mysql_error());


  redirect_header('main.php', 3, "測驗成績與選題記錄清空完成！！！");
}


//當 $op 的值等於「動作1」時，欲執行的函數
function set_quest($level1,$level2,$level3,$level4){
  global $xoopsDB;
  $table=$xoopsDB->prefix(hoao_exam_select);
  $table2=$xoopsDB->prefix(hoao_exam);



  $sql="insert into `{$table}` (`level1`, `level2`, `level3`, `level4`) values('{$level1}' , '{$level2}' , '{$level3}' , '{$level4}'  )";
  $xoopsDB->query($sql) or die(mysql_error());
  redirect_header('main.php', 3, "題目設定成功！"."初級：".$level1."　中級：".$level2."　中高級：".$level3."　高級：".$level4."　若這不是您要的設定，請重新執行！！！");
}


//當 $op 的值等於「動作1」時，欲執行的函數
function list_select($op){
  global $xoopsTpl, $xoopsUser,$xoopsDB;
  include_once(XOOPS_ROOT_PATH."/class/xoopsformloader.php");
  $table = $xoopsDB->prefix(hoao_exam_select);
  $sql="select * from {$table} where id= (select max(id) from ($table))";
  $result=$xoopsDB->query($sql) or die(mysql_error());
  $now_setting=$xoopsDB->fetchArray($result);
  $xoopsTpl->assign("now_setting",$now_setting);

  $sql="select count(*) from ".$xoopsDB->prefix(hoao_exam)." where level='初級' ";
  $result=$xoopsDB->query($sql) or die(mysql_error());
  $qty=$xoopsDB->fetchArray($result);

  $form = new XoopsThemeForm('選題數表單', 'name', 'main.php', 'post', 1 , '選題數');

  $sql="select count(*) from ".$xoopsDB->prefix(hoao_exam)." where level='初級' ";
  $result=$xoopsDB->query($sql) or die(mysql_error());
  $qty=$xoopsDB->fetchArray($result);
  $form->addElement(new XoopsFormText("初　級題數（最多：".$qty['count(*)']."，最少：1）", 'level1', 2 , 10 , "1") , 1);
  $sql="select count(*) from ".$xoopsDB->prefix(hoao_exam)." where level='中級' ";
  $result=$xoopsDB->query($sql) or die(mysql_error());
  $qty=$xoopsDB->fetchArray($result);
  $form->addElement(new XoopsFormText("中　級題數（最多：".$qty['count(*)']."，最少：1）", 'level2', 2 , 10 , "1") , 1);
  $sql="select count(*) from ".$xoopsDB->prefix(hoao_exam)." where level='中高級' ";
  $result=$xoopsDB->query($sql) or die(mysql_error());
  $qty=$xoopsDB->fetchArray($result);
  $form->addElement(new XoopsFormText("中高級題數（最多：".$qty['count(*)']."，最少：1）", 'level3', 2 , 10 , "1") , 1);
  $sql="select count(*) from ".$xoopsDB->prefix(hoao_exam)." where level='高級' ";
  $result=$xoopsDB->query($sql) or die(mysql_error());
  $qty=$xoopsDB->fetchArray($result);
  $form->addElement(new XoopsFormText("高　級題數（最多：".$qty['count(*)']."，最少：1）", 'level4', 2 , 10 , "1") , 1);

  $form->addElement(new XoopsFormHidden ("op", "give_select"));
  $form->addElement(new XoopsFormButton ("", "", "送出", "submit"));
  $f=$form->render();


  $sql="select count(*) from ".$xoopsDB->prefix(hoao_exam_select);
  $result=$xoopsDB->query($sql) or die(mysql_error());
  $qty_exam_select=$xoopsDB->fetchArray($result);
  $sql="select count(*) from ".$xoopsDB->prefix(hoao_exam_score_board);
  $result=$xoopsDB->query($sql) or die(mysql_error());
  $qty_score_board=$xoopsDB->fetchArray($result);


  $form2 = new XoopsThemeForm('清空選題記錄與測驗成績', 'name', 'main.php', 'post', 1 , '清空');
  $form2->addElement(new XoopsFormHidden ("op", "clear_record"));
  $form2->addElement(new XoopsFormButton ("現有成績：".$qty_score_board['count(*)']."<br>現有選題記錄：".$qty_exam_select['count(*)'], "", "確定清空！！", "submit"));
  $f2=$form2->render();

  $xoopsTpl->assign("new_select_form",$f);
  $xoopsTpl->assign("clear_form",$f2);


  $sql="select * from ".$xoopsDB->prefix(hoao_exam_score_board)." order by `test_date` desc";
  //getPageBar($原sql語法, 每頁顯示幾筆資料, 最多顯示幾個頁數選項);
  $PageBar=getPageBar($sql,5,$page_num);
  $bar=$PageBar['bar'];
  $sql=$PageBar['sql'];
  $total=$PageBar['total'];

  $result=$xoopsDB->query($sql) or die(mysql_error());
  $all_data="";
  $i=0;
  while($all=$xoopsDB->fetchArray($result)){
    $all_data[$i]=$all;
    $i++;
  }
  $xoopsTpl->assign("all_data" , $all_data);
  $xoopsTpl->assign("bar" , $bar);

}


/*------------------ 檔尾（輸出內容到樣板） ------------------*/
include "footer.php"; //XOOPS檔尾



?>